/*
 * $Header: /cvshome/build/ee.foundation/src/java/security/KeyFactorySpi.java,v 1.5 2005/06/23 12:12:15 hargrave Exp $
 *
 * (C) Copyright 2001 Sun Microsystems, Inc.
 * Copyright (c) OSGi Alliance (2001, 2005). All Rights Reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v1.0 which accompanies this
 * distribution, and is available at http://www.eclipse.org/legal/epl-v10.html.
 */

package java.security;
public abstract class KeyFactorySpi {
	public KeyFactorySpi() { }
	protected abstract java.security.PrivateKey engineGeneratePrivate(java.security.spec.KeySpec var0) throws java.security.spec.InvalidKeySpecException;
	protected abstract java.security.PublicKey engineGeneratePublic(java.security.spec.KeySpec var0) throws java.security.spec.InvalidKeySpecException;
	protected abstract java.security.spec.KeySpec engineGetKeySpec(java.security.Key var0, java.lang.Class var1) throws java.security.spec.InvalidKeySpecException;
	protected abstract java.security.Key engineTranslateKey(java.security.Key var0) throws java.security.InvalidKeyException;
}

